Page MenuHomePhabricator

Add minor edit filter type to REST API history endpoint
Closed, ResolvedPublic2 Estimate Story Points

Description

Per user story T234942: Curator gets minor edit history, we want to add a filter for minor edits as one of the available filter types on the existing /page/{title}/history endpoint.
This is dependent on successful completion of T235657: Compose query for minor edit history, which will supply the necessary query.

T234942: Curator gets minor edit history contains the necessary specifications and details.

Requirements:

  • endpoint updated
  • Add integration test covering behaviour
  • Update docs: Add minor to the list of available filters for Get page history. (Done)

Details

Related Gerrit Patches:

Event Timeline

BPirkle created this task.Oct 16 2019, 2:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 16 2019, 2:29 PM
WDoranWMF triaged this task as Medium priority.Oct 16 2019, 2:30 PM
WDoranWMF updated the task description. (Show Details)
WDoranWMF set the point value for this task to 2.Oct 16 2019, 7:41 PM
apaskulin updated the task description. (Show Details)Oct 16 2019, 10:07 PM
WDoranWMF renamed this task from Add minor edit filter type to REST API history count endpoint to Add minor edit filter type to REST API history endpoint.Oct 16 2019, 10:11 PM
apaskulin updated the task description. (Show Details)Oct 16 2019, 10:12 PM
BPirkle claimed this task.Oct 23 2019, 3:11 PM
BPirkle moved this task from Ready to Doing on the Core Platform Team Workboards (Green) board.

Change 545611 had a related patch set uploaded (by BPirkle; owner: BPirkle):
[mediawiki/core@master] Add "minor" to available REST API history filters

https://gerrit.wikimedia.org/r/545611

Change 545611 merged by jenkins-bot:
[mediawiki/core@master] Add "minor" to available REST API history filters

https://gerrit.wikimedia.org/r/545611

BPirkle updated the task description. (Show Details)Oct 30 2019, 1:26 PM
apaskulin updated the task description. (Show Details)Oct 30 2019, 6:26 PM
eprodromou closed this task as Resolved.Nov 5 2019, 4:10 PM